Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Edit a hint in place, keeping paid unlocks

PUT/api/admin/challenges/{id}/hints/{hintId}
Path parameters
idstringrequired
min length 1
hintIdstringrequired
min length 1
Request body
requiredapplication/json
contentstringrequired
min length 1
penaltyPointsintegerrequired
min 0 · max 9007199254740991 · default: 0
positioninteger
min 0 · max 9007199254740991
Responses
200

Success

Any of:
object
idstringrequired
contentstringrequired
penaltyPointsnumber | nullrequired
Show properties
Any of:
number
number
null
null
positionnumberrequired
null
null
401

Unauthorized

errorstringrequired
404

Not found

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PUT '/api/admin/challenges/string/hints/string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "content": "string",
  "penaltyPoints": 0,
  "position": 0
}'
Response
{
  "id": "string",
  "content": "string",
  "penaltyPoints": 0,
  "position": 0
}